#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
	set +e
	[ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
cvs=$(date +%Y%m%d)

cd "$tmp"
wget http://rt2x00.serialmonkey.com/rt2400-cvs-daily.tar.gz
tar zxvf rt2400-cvs-daily.tar.gz
mv rt2400-cvs-*/ rt2400-cvs-$cvs
cd rt2400-cvs-$cvs
find . -type d -name CVS -print0 | xargs -0r rm -rf
cd ..
tar jcf "$pwd"/rt2400-cvs-$cvs.tar.bz2 rt2400-cvs-$cvs
cd - >/dev/null

